@using Microsoft.AspNetCore.Mvc.ApplicationModels
@model EditUserViewModel

@{
    ViewBag.Title = "Edit Account";
}

<div id="hight_account">
    @using (Html.BeginForm("Index", "Account"))
    {
        @Html.HiddenFor(model => model.User.Id)
        <div>
            @Html.LabelFor(model => model.User.FullName)
            @Html.TextBoxFor(model => model.User.FullName)
            @Html.ValidationMessageFor(model => model.User.FullName)
        </div>
        <div>
            @Html.LabelFor(model => model.User.Email)
            @Html.TextBoxFor(model => model.User.Email)
            @Html.ValidationMessageFor(model => model.User.Email)
        </div>
        
        <input type="submit" value="Apply"/>
    }
     @{
            if (Model.Ok_User)
            {
                <i>Account updated.</i>
            }
     }
   
</div>


@using (Html.BeginForm("ChangePassword", "Account"))
{
    <div>
        @Html.LabelFor(model => model.OldPass)
        @Html.PasswordFor(model => model.OldPass)
        @Html.ValidationMessageFor(model => model.OldPass)
    </div>
    <div>
        @Html.LabelFor(model => model.NewPass)
        @Html.PasswordFor(model => model.NewPass)
        @Html.ValidationMessageFor(model => model.NewPass)
    </div>
    <input type="submit" value="Change"/>
}
@{
    if (Model.Ok_Pass)
    {
        <i>Password updated.</i>
    }
}